package store

import (
	"context"

	pb "bsm/full/module/ec/mall/pb"
	"git.apinb.com/bsm-sdk/core/service"
)

// 获取小程序推荐码
func MiniCode(ctx context.Context, in *pb.MiniCodeRequest) (reply *pb.MiniCodeReply, err error) {
	// parse authorization meta.
	_, err = service.ParseMetaCtx(ctx, &service.ParseOptions{RoleValue: "Mall_Admin"})
	if err != nil {
		return nil, err
	}

	// TODO: valid code

	// TODO: add your logic code & delete this line.

	return
}
